Subject: bug#48838: closed (Re: bug#48838: [PATCH] gnu: nginx: Build with support for a few more modules.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Jun 2021 08:13:02 +0000

Your bug report

#48838: [PATCH] gnu: nginx: Build with support for a few more modules.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48838: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48838
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48838: [PATCH] gnu: nginx: Build with support for a few more modules.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Jun 2021 09:12:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Christopher Baines <[email-masked]> skribis:
>
>> I think this is generally useful. Personally, I want the HTTP gzip static and
>> gunzip ones for serving gzip compressed log files, and I spotted that the HTTP
>> sub and addition ones are easy to enable as well.
>>
>> * gnu/packages/web.scm (nginx)[arguments]: Add the following configure flags:
>> --with-http_gzip_static_module, --with-http_gunzip_module,
>> --with-http_addition_module, --with-http_sub_module.
>
> LGTM, thanks!

Great, pushed as 2d31eeecf06ab14732d374c75cdf6e7a55aa704e.

Thanks for taking a look!

Subject: [PATCH] gnu: nginx: Build with support for a few more modules.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 4 Jun 2021 21:29:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I think this is generally useful. Personally, I want the HTTP gzip static and
gunzip ones for serving gzip compressed log files, and I spotted that the HTTP
sub and addition ones are easy to enable as well.

* gnu/packages/web.scm (nginx)[arguments]: Add the following configure flags:
--with-http_gzip_static_module, --with-http_gunzip_module,
--with-http_addition_module, --with-http_sub_module.
---
 gnu/packages/web.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 4753eca8da..15befe7e6d 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -399,6 +399,10 @@ the same, being completely separated from the Internet.")
                                   "--with-http_ssl_module"
                                   "--with-http_v2_module"
                                   "--with-http_xslt_module"
+                                  "--with-http_gzip_static_module"
+                                  "--with-http_gunzip_module"
+                                  "--with-http_addition_module"
+                                  "--with-http_sub_module"
                                   "--with-pcre-jit"
                                   "--with-debug"
                                   "--with-stream"
-- 
2.31.1